%macro flushtable(QuelleLib, QuelleDate);
   proc sql;
       select      memname
       into        :_ListeTablesPourDrop
       separated   by " "
       from        dictionary.tables
       where       upcase(libname) = upcase("&QuelleLib.") and
                   datepart(crdate) lt &QuelleDate.;
   quit;

   proc datasets lib = &QuelleLib. nolist;
       delete &_ListeTablesPourDrop.;
   quit;
%mend;
